## Question

Question — Question Dialogs

## Synopsis

    gint        gpe_question_ask                (char *qn,
                                                 char *title,
                                                 char *iconname,
                                                 ...);
    gint        gpe_question_ask_yn             (char *qn);

## Description

These functions provide support for displaying simple interactive question dialogs and handle the users answers.

## Details

### gpe_question_ask ()

    gint        gpe_question_ask                (char *qn,
                                                 char *title,
                                                 char *iconname,
                                                 ...);

Opens a blocking question dialog presenting a variable set of buttons to select an answer from. The buttons may contain icons. Button definitions are passed to the function in a list containing both label text and icon name for each button. The label ist the first part of the button definition, the icon name the second. To indicate a stock icon prepend the name by a '!' character. It is possible to add buttons without icons setting using NULL for the icon parameter.

`qn` : | Question text
`title` : | Dialog title
`iconname` : | GPE icon to use (needs to be loaded before calling this function)
`...` : | Variable list of icon definitions. Terminate list with NULL.
Returns : | Position of button clicked.

### gpe_question_ask_yn ()

    gint        gpe_question_ask_yn             (char *qn);

[Deprecated, do not use.]

`qn` : |
Returns : |